
def main():
	#
	#Getting the list of experiments
	print '\nExperiments:'
	for e in session.getExperiments():
		print e

	#
	#Getting an experiment by index
	print '\nExperiment nr 0:'
	e=session.getExperiment(0)
	print e
	
	#
	#Getting the current experiment
	print '\nCurrent experiment:'
	e=session.getExperiment()
	
	#Accessing experiment attributes
	print 'Name: ' + e.getName()
	print 'Number of groups: ' + str(e.getGroupsCount()) 
	print 'Groups: '
	
	#Accessing groups and samples
	for g in e.getGroupsList():
		print '\tName: ' + g.getName()
		print '\tNumber of samples:' + str(g.getSamplesCount()) 
		print '\tSamples: '
	 	for s in g.getSamplesList():
			print '\t\tName: ' + s.getName()
			print '\t\tFile: ' + s.getHeader().getFileName()
			print '\t\tEnzyme: ' + s.getHeader().getEnzyme()
			print '\t\tParent MMD: ' + s.getHeader().getParentMMDString()
			print ''
		print ''
			
if __name__ == '__main__':
	main()